<?php

namespace Bixo\Feed\Providers;

use Litepie\Foundation\Support\Providers\ActionServiceProvider as ServiceProvider;

class ActionServiceProvider extends ServiceProvider
{
    /**
     * Indicates if loading of the provider is deferred.
     *
     * @var bool
     */
    protected $defer = true;

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function actions()
    {
        return [
            \Bixo\Feed\Models\Feed::class
                 => config('bixo.feed.feed.actions')        \Bixo\Feed\Models\Interaction::class
                 => config('bixo.feed.interaction.actions')
            ];
    }

}
