<?php

namespace Bixo\Feed\Providers;

use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * Indicates if loading of the provider is deferred.
     *
     * @var bool
     */
    protected $defer = true;

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function workflows()
    {
        return [
            \Bixo\Feed\Models\Feed::class 
                => config('bixo.feed.feed.workflow')        \Bixo\Feed\Models\Interaction::class 
                => config('bixo.feed.interaction.workflow')
            ];
    }

}
