<?php

namespace Bixo\Feed\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Bixo\Feed\Models\Feed;

class FeedWorkflow
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public function __construct(
        public string $transition,
        public Feed $feed,
        public array $request = [],
        public string $when = 'after'
    ) {
    }
}
