<?php

namespace Bixo\Feed\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Bixo\Feed\Models\Interaction;

class InteractionAction
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public function __construct(
        public string $action,
        public Interaction $interaction,
        public array $request = [],
        public string $when = 'after'
    ) {}
}
